# eeinstall

## Publish a new release

- Make all changes needs in the ''default''' branch, ''bullseye''' while writing this README, with explicit commits messages that will be used to compose the Debian changelog entries
  - add the version tog: 2.0.7-ee110''
  - push changes to remote repository: ''git push''
- For each Debian supported release:
  - switch to dedicated branch: ''git checkout buster''
  - retreive changes from the ''default'' branch: ''git cherry-pick my_commit''
  - add the version tag: ''git tag 2.0.7-ee100''
  - push changes to remote repository: ''git push && git push --tags''

## Locally build (using Docker)

You also could manually build a specific release using the following command:

```bash
docker run --rm -it -v "$(pwd):/src" -w /src -e DEBFULLNAME -e DEBEMAIL -e GPG_KEY debian:11 ./build.sh --install-build-deps
```

Release builded files will be store in the `dist` directory.

### Packages signing

By default, builded packages are not signed but you could provided information to allow their signature :

- be sure to define `DEBFULLNAME` and `DEBEMAIL` environment variables
- run the `docker run` command in a context where the `GPG_KEY` environment variable is set as follow :

```bash
GPG_KEY=$( gpg --armor --export-secret-key $DEBEMAIL|base64|tr -d '\n' )
```

**Important :** This solution only work with GPG key **without password** defined. If you have to use a GPG key with a password, you have to remove it before by running the following command :

```
gpg --edit-key $DEBEMAIL
> passwd
> quit
```

Be sure to restore your password after building the Debian packages.

**Note :** the `build.sh` script accept a `--gpg-key` parameter, but it will only works if the GPG key is available in the running context, so probably not in a docker container or not if script is run with `sudo`.
